| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
strato-tap.h File Reference
`#include <epan/conversation_table.h>`

Go to the source code of this file.

## Functions
void | init_iousers (struct register_ct *ct, const char *filter)
| Initialize user I/O tracking for conversations.
void | init_endpoints (struct register_ct *ct, const char *filter)
| Initialize endpoint tracking for conversations.
bool | register_srt_tables (const void *key, void *value, void *userdata)
| Registers SRT tables for conversation tracking.
bool | register_rtd_tables (const void *key, void *value, void *userdata)
| Registers RTD tables for conversation tracking.
bool | register_simple_stat_tables (const void *key, void *value, void *userdata)
| Registers simple statistic tables for conversation tracking.
void | initialize_funnel_ops (void)
| Initializes funnel operations for conversation tracking.
void | funnel_dump_all_text_windows (void)
| Dumps all text windows for conversation tracking.

## Detailed Description

Registration tap hooks for Strato

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ init_endpoints()

void init_endpoints | ( | struct register_ct * | ct,
|  | const char * | filter )
| extern

Initialize endpoint tracking for conversations.

Parameters

  ct | Pointer to conversation tracking structure.
  filter | Filter string for conversations.

## ◆ init_iousers()

void init_iousers | ( | struct register_ct * | ct,
|  | const char * | filter )
| extern

Initialize user I/O tracking for conversations.

Parameters

  ct | Pointer to conversation tracking structure.
  filter | Filter string for conversations.

## ◆ register_rtd_tables()

bool register_rtd_tables | ( | const void * | key,
|  | void * | value,
|  | void * | userdata )
| extern

Registers RTD tables for conversation tracking.

Parameters

  key | Pointer to the key for the table.
  value | Pointer to the value for the table.
  userdata | Pointer to user data.

Returns
  bool indicating success or failure.

## ◆ register_simple_stat_tables()

bool register_simple_stat_tables | ( | const void * | key,
|  | void * | value,
|  | void * | userdata )
| extern

Registers simple statistic tables for conversation tracking.

Parameters

  key | Pointer to the key for the table.
  value | Pointer to the value for the table.
  userdata | Pointer to user data.

Returns
  bool indicating success or failure.

## ◆ register_srt_tables()

bool register_srt_tables | ( | const void * | key,
|  | void * | value,
|  | void * | userdata )
| extern

Registers SRT tables for conversation tracking.

Parameters

  key | Pointer to the key for the table.
  value | Pointer to the value for the table.
  userdata | Pointer to user data.

Returns
  bool indicating success or failure.